package tutorialJava.examenes.examen20241211;

public class Libro extends Producto {

	private String autor;
	private int numPaginas;
	
	public Libro() {
	}

	public Libro(String codigo, String titulo, String autor, 
			int numPaginas) {
		super(codigo, titulo);
		this.autor = autor;
		this.numPaginas = numPaginas;
	}

	public String getAutor() {
		return autor;
	}

	public void setAutor(String autor) {
		this.autor = autor;
	}

	public int getNumPaginas() {
		return numPaginas;
	}

	public void setNumPaginas(int numPaginas) {
		this.numPaginas = numPaginas;
	}

	@Override
	public String toString() {
		return "Libro [autor=" + autor + ", numPaginas=" + numPaginas + ", getCodigo()=" + getCodigo()
				+ ", getTitulo()=" + getTitulo() + ", getPrecio()=" + getPrecio() + "]";
	}

	
}
